package com.siwei.rsmonitoring.service;

import java.util.List;
import com.siwei.rsmonitoring.domain.TFieldworkTj;

/**
 * 地块外业提交Service接口
 * 
 * @author siwei
 * @date 2025-03-05
 */
public interface ITFieldworkTjService 
{
    /**
     * 查询地块外业提交
     * 
     * @param id 地块外业提交主键
     * @return 地块外业提交
     */
    public TFieldworkTj selectTFieldworkTjById(String id);
    public TFieldworkTj selectTFieldworkTjInfo(String fieldworkId,String dkid, String auditflowStep, String auditflowId);

    /**
     * 查询地块外业提交列表
     * 
     * @param tFieldworkTj 地块外业提交
     * @return 地块外业提交集合
     */
    public List<TFieldworkTj> selectTFieldworkTjList(TFieldworkTj tFieldworkTj);

    /**
     * 新增地块外业提交
     * 
     * @param tFieldworkTj 地块外业提交
     * @return 结果
     */
    public int insertTFieldworkTj(TFieldworkTj tFieldworkTj);
    public int addTFieldworkTj(TFieldworkTj tFieldworkTj);

    /**
     * 修改地块外业提交
     * 
     * @param tFieldworkTj 地块外业提交
     * @return 结果
     */
    public int updateTFieldworkTj(TFieldworkTj tFieldworkTj);

    /**
     * 批量删除地块外业提交
     * 
     * @param ids 需要删除的地块外业提交主键集合
     * @return 结果
     */
    public int deleteTFieldworkTjByIds(String[] ids);

    /**
     * 删除地块外业提交信息
     * 
     * @param id 地块外业提交主键
     * @return 结果
     */
    public int deleteTFieldworkTjById(String id);
}
